Bug 121678 - (VFS REISERFS)Can't access reiserfs partition
(VFS REISERFS)Can't access reiserfs partition
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-04-25 08:51 EDT by depeq
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-06-14 20:45:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description depeq 2004-04-25 08:51:36 EDT
Description of problem:
I've installed Fedora Core 2 - test2 from 3 CDs downloaded from
on my AMD Duron 700 with ECS K7VZA motherboard.
My root partition is ext3 but I have also other partitions on my HDD
but I didn't define any other mountpoints during the installation
process. This is my /etc/fstab:
LABEL=/ / ext3 defaults 1 1
none /dev/pts devpts gid=5,mode=620 0 0
none /dev/shm tmpfs defaults 0 0
none /proc proc defaults 0 0
none /sys sysfs defaults 0 0
/dev/hda5 swap swap defaults 0 0
/dev/cdrom /mnt/cdrom udf,iso9660 noauto,owner,kudzu,ro 0 0
/dev/cdrom1 /mnt/cdrom1 udf,iso9660 noauto,owner,kudzu,ro 0 0
/dev/fd0 /mnt/floppy auto noauto,owner,kudzu 0 0
After the installation I wanted to access my ReiserFS partition
but if I do 
# mount /dev/hda7 /mnt/slackware
I get an error:
mount: block device /dev/hda7 is write-protected, mounting read-only
mount: cannot mount block device /dev/hda7 read-only

the same is when I do
# mount -t reiserfs /dev/hda7 /mnt/slackware/

the /mnt/slackware directory of cource exists :)

The reiserfs kernel module is loaded:
# lsmod
Module                  Size  Used by
reiserfs              280436  0

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
mount /dev/hda7 /mnt/slackware  (when /dev/hda7 is a ReiserFS partition)
Actual results:
can't mount partition

Expected results:
partition should mount

Additional info:
Comment 1 Dave Jones 2004-05-25 12:40:25 EDT
did this get fixed for the final FC2 kernel ?

Note You need to log in before you can comment on or make changes to this bug.